var gAjax = (function(MUI, WIN) {
	var baseHostName = "https://charge.evhzzh.com"; // https://app-pre.evhzzh.com https://charge02.evhzzh.com
	var hostName = localStorage.getItem("hostName") || baseHostName;
	console.log(localStorage.getItem("hostName") +  'localStorage.getItem("hostName")localStorage.getItem("hostName")')
	
	var _user = localStorage.getItem('_user') ? JSON.parse(localStorage.getItem('_user')) : {};


	function $http(obj) {
		obj.url = obj.url.indexOf('http') > -1 ? obj.url : hostName + obj.url;
		MUI.ajax(obj.url, {
			data: obj.data,
			dataType: "json",
			type: obj.methods,
			headers: {
				authorization: _user.loginToken
			},
			timeout: 8000,
			xhrFields: {
				withCredentials: true
			},
			crossDomain: true,
			success: function(res) {
				// console.log(obj.url + JSON.stringify(obj.data) +  '1111111111111111111' + JSON.stringify(res))
				switch (res.status) {
					case 403:
						mui.openWindow('../login/login.html', 'login');
						                     // mui.toast(res.msg);
						break;
						// case 13007://用户余额不足
						//     mui.toast(res.msg);
						//     mui.openWindow('../recharge/recharge.html', 'recharge');
						//     break;
						// case 14005://车牌号不存在
						//     mui.toast(res.msg);
						//     mui.openWindow('../index/index.html', 'index');
						//     break;
						// case 21001://枪故障 21001
						//     obj.portStatusCB("枪突发故障，请选择其他可用枪充电！", 21001)
						//     break;
						// case 21002://枪占用21002
						//     obj.portStatusCB("枪已被占用，请选择其他枪进行充电！", 21002)
						//     break;
						// case 21003://21003 枪没插好
						//     obj.portStatusCB("充电枪未插好，系统无法完成自检充电，请检查并确认枪已插好。", 21003);
						//     break;
						// case 21004://21004 桩不存在
						//     obj.portStatusCB("非常抱歉，当前桩已停止运作，请选中其他可用桩充电。", 21004);
						//     break;
						// case 20006://密码错误
						//     mui.confirm(res.msg, '密码错误', ['关闭', '忘记密码'], function (e) {
						//         if (e.index === 1) {
						//             mui.openWindow('../personSign/updatePwd.html', 'personSignUpdatePwd');
						//         }
						//     });
						//     break;
					default:
						obj.success(res);
				}
			},
			error: function(xhr, type, errorThrown) {
				obj.error ? obj.error(xhr) : '';

				if (errorThrown == "Not Found") {
					mui.toast("服务器异常，请稍后再试！");
					return;
				}
				if (type == "timeout") {
					mui.toast("网络连接超时，请重试！");
					return;
				}
				if (type == "abort") {
					mui.toast('连接失败，请检查你的网络或稍后重试');
					return;
				}
				mui.toast('连接失败，稍后重试');
			},
			complete: function() {
				if (obj.complete) {
					obj.complete();
				}
			}
		});
	}

	return {
		$http: $http,
		hostName: hostName,
		baseHostName: baseHostName
	}
})(mui, window);
