
var vm = new Vue({
    el: '#realTime',
    data: {
        orderSn:'',
        realTimeMessageBo :{
			alertMessage : '',//异常告警信息 
			offline:'',
			outCurrent :'0',// 充电输出电压（V) ,
			outPower :'0',// 输出功率(kw) 
			outVol  :'0',//充电输出电压（V) 
			soc :'0',// SOC状态 ,
			chargedMeterNum  :'0.00',// 本次已充电量（度） 
			totalTime  :'0.00',//本次已充电时间(hour)
			chargedCost :'0.00',// 已充费用 ,
			canEndCharge :true,//是否能点击结束充电.true 能，false 不能 
			orderStatusDescription :'',//订单状态描述 
			orderStatus:'',//0 待充电 1充电中  2 充完电  3已结算 4已取消 5 异常已结算
			guid:'',
			chargeType:''//   充电方式。0 app充电   3 离线码充电
			 
		},
		push:{
			type:'',//
		},
		xhr:null,
		time:'90',
		toastTime:true,
    },
    created: function () {

		
		var _this = this;
			
		
    },
    mounted: function(){
    	var _this = this;
    	
		
		this.intervalTimeFn();
		    	mui.init({
		    		beforeback: function () {
		    			//清除定时器
			            _this.clearIntFn();
						
						if(mui.currentWebview.backMark == "order"){
							return true;
						}else{					
		                    var mapPage = plus.webview.getWebviewById('map');
		                    
							mapPage.evalJS("app.isCreateOrderTips()");
					
							_this.gotoMap();
							mui.currentWebview.close();
							return false;
						}
		    		}
		    	});
	    
	    
	    var btnElem = document.getElementById("stopBtn")
	    
	    
	    mui.plusReady(function() {
			
			var payment = plus.webview.getWebviewById('payment');
			if(payment){
				// setTimeout(function(){
				// 	payment.close();
				// },300)
				
			}
			
			plus.navigator.setStatusBarStyle('dark');
			
			var currentWebview = mui.currentWebview;
			//TODO 测试用的
//			alert(JSON.stringify(currentWebview) + "上个页面传过来的参数");
			
			_this.orderSn = currentWebview.orderSn;
			
			_this.getRealTimeMessage();

			
			_this.clearInt = setInterval(function(){
				console.log('定时')
//				mui.toast('定时');
	        	_this.getRealTimeMessage();
	    	},30000);
			
			// 监听在线消息事件
			plus.push.addEventListener("receive", function(msg) {
				//有推送就就刷新数据
//				_this.getRealTimeMessage();
				var payload = msg.payload;
				
//				alert(JSON.stringify(msg) +  "推送")
				
				// 1:下发开始充电失败  2:充电中  3结束充电失败: 4:已经结束充电 未结算    5:已经结束充电已结算   6 :异常的已结束未结算  7 :异常的已结束已结算
				_this.push.type = payload.type;
				
				//下发开始充电失败
				if(payload.type == 1){
					plus.nativeUI.closeWaiting();
					
					//清除定时器
	                _this.clearIntFn();
					
					plus.nativeUI.alert("请插拔枪重试", function(){
						
					}, "充电失败", "知道了" );
					return;
				}
				
				//停止充电推送
				if(payload.type == 3){
					plus.nativeUI.closeWaiting();
					
					//清除定时器
	                _this.clearIntFn();
					
					mui(btnElem).button('reset');		
					
					plus.nativeUI.alert("停止失败请重试", function () {
	                }, "", "知道了")
					return;
				}
				//6：异常的已结束已结算
				if(payload.type == 7){
					plus.nativeUI.closeWaiting();
					
					//清除定时器
	                _this.clearIntFn();
					
					// 异常提示		
				 	plus.nativeUI.confirm("非常抱歉，由于充电桩系统故障导致您的充电订单异常停止，可前往查看结束订单。", function(e){
						mui.openWindow({
							url: "../order/orderList.html",
							id: "orderList",
							createNew:true,
							extras: {
								backMark:"realTimeCharging",
								tabValue:3//订单 取消
							}
						});
						return;
					}, {"title":"充电结束",
						"buttons":["查看订单"]
					});
					
				}
				// 5:已经结束充电已结算
				if(payload.type == 5){
					//已经结束充电 已结算  到订单
					plus.nativeUI.closeWaiting();
					
					//清除定时器
	                _this.clearIntFn();
					mui.openWindow({
	                    url: "../orderDetail/orderDetail.html",
	                    id: "../orderDetail/orderDetail.html",
	                    extras:{
	                        guid:_this.realTimeMessageBo.guid,  //扩展参数
	                        backMark:"realTimeCharging"
	                    },
	                    waiting: {
	                        autoShow: false, //自动显示等待框，默认为true
	                    }
	                })
					return;
					
				}
				
			}, false);
				
//			var old_back = mui.back;
//			mui.back = function(){
//				
//				
//				//清除定时器
//	            _this.clearIntFn();
//				
//				if(currentWebview.backMark == "order"){
//					old_back();
//				}else{					
//                  var mapPage = plus.webview.getWebviewById('map');
//                  
//					mapPage.evalJS("app.isCreateOrderTips()");
//			
//					mui.openWindow('../index/map.html','map');
//				}
//				
//			}
			
			
		});
		
    },
    methods: {
        stop: function () {
            var _this = this;
            var stop = document.getElementById("stopBtn");
            
            
            	plus.nativeUI.confirm('您确定要停止充电？', function(e){
            		
					if(e.index == 1){
						return;
					}else{
//						mui(stop).button('loading');
						
			            gAjax.$http({
			                url: "/charge-app-server/app/charge/stopCharge",
			                methods: 'POST',
			                data:{orderSn:_this.orderSn},
			                success: function (res) {
			                	if(res.status == 200){
			                		plus.nativeUI.showWaiting("请稍后...");
			                	}
			                	
			                },
				            complete:function(){
				            	
				            	mui(stop).button('reset');
				            }
			            });
					}
				}, {
					"buttons":["确定","取消"]
				});
            
        },
        getRealTimeMessage:function(){
        	
        	var _this = this;
			var _user = localStorage.getItem('_user') ? JSON.parse(localStorage.getItem('_user')) : {};
            _this.xhr = $.ajax(gAjax.hostName+'/charge-app-server/app/charge/getRealTimeMessage?orderSn='+_this.orderSn, {
                dataType: "json",
                type: 'get',
                headers: {
                    authorization: _user.loginToken
                },
                timeout: 8000,
                xhrFields: {
                    withCredentials: true
                },
                crossDomain: true,
                success: function (res) {
                	//90秒倒计时到零后跳转带充电订单
                	if(_this.time == '0'&&_this.realTimeMessageBo.orderStatus == 0){
	                		//清除定时器
		                _this.clearIntFn();
		        		mui.openWindow({
							url: "../order/orderList.html",
							id: "orderList",
							createNew:true,
							extras: {
								backMark:"realTimeCharging",
								tabValue:0//订单 带充电
							}
						});
		        		return;
		        	}
                	if(res.status == 200){
                		var realTimeMessageBo =JSON.parse(Decrypt(res.data));
						
	                	_this.realTimeMessageBo = realTimeMessageBo;
	                	
	                	
	                	if(realTimeMessageBo.orderStatus==0&&!realTimeMessageBo.alertMessage){
	                		if(_this.toastTime){
	                			mui.toast("即将开始充电，请耐心等待！");
	                			_this.toastTime = false;
	                		}
	                		
	                	}
	                	
	                	if(realTimeMessageBo.alertMessage){
	                		mui.toast(realTimeMessageBo.alertMessage);
	                	}
	                	
	                	
	                    if(realTimeMessageBo.orderStatus == 3){
	                    	plus.nativeUI.closeWaiting();
	                    	//清除定时器
	                    	_this.clearIntFn();
							mui.openWindow({
			                    url: "../orderDetail/orderDetail.html",
			                    id: "../orderDetail/orderDetail.html",
			                    extras:{
			                        guid:realTimeMessageBo.guid,  //扩展参数
			                        backMark:"realTimeCharging"
			                    },
			                    waiting: {
			                        autoShow: false, //自动显示等待框，默认为true
			                    }
			                })
							return;
						}
	                    //已取消
	                    if(realTimeMessageBo.orderStatus == 4){
	                    	plus.nativeUI.closeWaiting();
	                    	//清除定时器
	                    	_this.clearIntFn();
	                    	
							plus.nativeUI.alert("请插拔枪重试", function(){
						
							}, "充电失败", "知道了" );
							return;
							
						}
	                    
		                if(realTimeMessageBo.orderStatus == 5){
		                  	plus.nativeUI.closeWaiting();
		                  	//清除定时器
	                    	_this.clearIntFn();
		                  	plus.nativeUI.confirm("非常抱歉，由于充电桩系统故障导致您的充电订单异常停止，可前往查看结束订单。", function(e){
									mui.openWindow({
										url: "../order/orderList.html",
										id: "orderList",
										createNew:true,
										extras: {
											backMark:"realTimeCharging",
											tabValue:2
										}
									});
									return;
								}, {"title":"充电结束",
									"buttons":["查看订单"]
								});
		                }
                	}else{
                		mui.toast(res.msg);
                	}
                },
                error: function (xhr, type, errorThrown) {
	                if(errorThrown == "Not Found"){
	                	mui.toast("服务器异常，请稍后再试！");
	                }
	                if (type == "timeout") {
	                    mui.toast("网络连接超时，请重试！");
	                }
					if(type == "abort"){
						mui.toast('连接失败，请检查你的网络或稍后重试');
					}
	                
	            }
            });
        	/*gAjax.$http({
                url: '/charge-app-server/app/charge/getRealTimeMessage',
                methods: 'get',
                data:{
                	orderSn:_this.orderSn
                },
                success: function (res) {
                	if(res.status == 200){
                		var realTimeMessageBo = res.data;
	                	_this.realTimeMessageBo = realTimeMessageBo;
	                	
	                	
	                	if(realTimeMessageBo.orderStatus==0&&!realTimeMessageBo.alertMessage){
	                		if(_this.toastTime){
	                			mui.toast("即将开始充电，请耐心等待！");
	                			_this.toastTime = false;
	                		}
	                		
	                	}
	                	
	                	if(realTimeMessageBo.alertMessage){
	                		mui.toast(realTimeMessageBo.alertMessage);
	                	}
	            			
	                    if(realTimeMessageBo.orderStatus == 3){
	                    	plus.nativeUI.closeWaiting();
	                    	//清除定时器
	                    	console.log('1')
	                    	_this.clearIntFn();
							mui.openWindow({
			                    url: "../orderDetail/orderDetail.html",
			                    id: "../orderDetail/orderDetail.html",
			                    extras:{
			                        guid:realTimeMessageBo.guid,  //扩展参数
			                        backMark:"realTimeCharging"
			                    },
			                    waiting: {
			                        autoShow: false, //自动显示等待框，默认为true
			                    }
			                })
							return;
						}
	                    //已取消
	                    if(realTimeMessageBo.orderStatus == 4){
	                    	plus.nativeUI.closeWaiting();
	                    	//清除定时器
	                    	_this.clearIntFn();
	                    	
							plus.nativeUI.alert("请插拔枪重试", function(){
						
							}, "充电失败", "知道了" );
							return;
							
						}
	                    
		                  if(realTimeMessageBo.orderStatus == 5){
		                  	plus.nativeUI.closeWaiting();
		                  	//清除定时器
	                    	_this.clearIntFn();
		                  	plus.nativeUI.confirm("非常抱歉，由于充电桩系统故障导致您的充电订单异常停止，可前往查看结束订单。", function(e){
									mui.openWindow({
										url: "../order/orderList.html",
										id: "orderList",
										createNew:true,
										extras: {
											backMark:"realTimeCharging",
											tabValue:2
										}
									});
									return;
								}, {"title":"充电结束",
									"buttons":["查看订单"]
								});
		                  }
                	}else{
                		mui.toast(res.msg);
                	}
                	
                    
                }
            });*/
        },
        home:function(){
        	var _this = this;
        	//获得 map界面的webview
            var mapView = plus.webview.getWebviewById('map');
            //触发列表界面的自定义事件（refresh）,从而进行数据刷新
            
            mui.fire(mapView,'reload');
        	_this.gotoMap();
//      	plus.webview.currentWebview().close();
        },
        order:function(){

			mui.openWindow({
				url: "../order/orderList.html",
				id: "orderList",
				createNew:true,
				extras: {
					backMark:"realTimeCharging",
					tabValue:3
				}
			});
			 //关掉充电实时页面   防止进入后台刷新  实时页面还在执行充电完成步骤
            var realTimeChargingView = plus.webview.getWebviewById('realTimeCharging');
            if(realTimeChargingView){
            	realTimeChargingView.close();
            }
        },
        intervalTimeFn:function(){
        	var _this = this;
        	var second = 90;
			var interval = setInterval(function() {
				second--;
				_this.time = second;
				if(_this.realTimeMessageBo.orderStatus != 0){
					clearInterval(interval);
					_this.time = 0;
				}
				if(second < 1) {
					//倒计时结束 清除定时器
					clearInterval(interval);	
				}
			}, 1000);
       },
       gotoMap:function(){
       	mui.openWindow('../index/map.html','map');
       },
       clearIntFn:function(){
	       	var _this = this;

	       	console.log("清掉定时")
//	       	mui.toast("清掉定时");
			_this.xhr.abort();
			clearInterval(this.clearInt);
		}
    },
});
