var vm = new Vue({
	el: '#guidPage',
	data: {
		showJump: true,
		showGo: false,
	},
	mounted: function() {
		var _this = this;
		var lived = localStorage.getItem('lived');
		mui.plusReady(function() {
			mui.init({});
			
			if(!lived) {
				var guidPage = document.getElementById('guidPage');
				guidPage.style.opacity = 1;
			}
			
			vm.getAppBaseConfig(function(res) {
				// console.log(JSON.stringify(res) + '999999')
					//保存请求前缀
					if(res.status === 200) {
						//缓存 默认前缀
							
							localStorage.setItem("hostName", res.data.platformService);
							mui.openWindow({
								url: '../index/map.html',
								id: 'map',
								show: {
									aniShow: 'none'
								}
							});

					} else {
						alert("获取基础配置失败");
			            mui.openWindow("../noNet/noNet.html", "noNet");
					}

				});
		});
		document.getElementById('slider').addEventListener('slide', function(e) {
			if(e.detail.slideNumber === 2) {
				_this.showJump = false;
				_this.showGo = true;
			} else {
				_this.showJump = true;
				_this.showGo = false;
			}
		});
	},
	methods: {
		jump: function() {
			localStorage.setItem('lived', true);
			mui.openWindow('../index/map.html', 'map')
		},
		/**
		 *  获取APP 基础配置信息
		 */
		getAppBaseConfig: function(callback) {
			gAjax.$http({
				url: gAjax.baseHostName+'/charge-app-server/app/app/' + customerconfig.appId,
				methods: 'get',
				data: {
					versionId: customerconfig.versionId
				},
				success: callback,
				error: function(error) {
					console.log(JSON.stringify(error))
					alert("获取基础配置失败");
		            mui.openWindow("../noNet/noNet.html", "noNet");
				}
			});
		}
	}
});