var vm = new Vue({
    el: '#designPwd',
    data: {
        hasPwd: false
    },
    created: function () {
        var _this = this;
        window.addEventListener('openFire', function (event) {
            _this.getUserInfo();
            console.log('update');
        });
        this.getUserInfo();
        mui.init();
    },
    mount: {},
    methods: {
        getUserInfo: function () {
            var _this = this;
            gAjax.$http({
                url: '/charge-app-server/app/account/getAccount',
                data: '',
                methods: 'get',
                success: function (res) {
                    if (res.status === 200) {
                        _this.hasPwd = JSON.parse(Decrypt(res.data)).hasPwd
                    } else {
                        mui.toast(res.msg);
                    }
                }
            });
        },
        jumpPage: function () {
            if (this.hasPwd) {
                mui.openWindow({
                    url: '../personSign/updatePwd.html'
                });
            } else {
                mui.openWindow({
                    url: '../personSign/pwd.html'
                });
            }
        }
    }
});
