var vm = new Vue({
    el: '#setPwd',
    data: {
        state: 1,
        trueInput: '',
        trueInput2: '',
        pwdLen: ['', '', '', '', '', ''],
        okToast: false,
    },
    created: function () {
        mui.init({
            beforeback: function () {
                //获得列表界面的webview
                var page = plus.webview.getWebviewById('personSignDesignPwd');
                mui.fire(page, 'openFire');

                var payPage = plus.webview.getWebviewById('payment');
                mui.fire(payPage, 'openFire');

                var cpPage = plus.webview.getWebviewById('choosePort');
                mui.fire(cpPage, 'openFire');
                //返回true，继续页面关闭逻辑
                return true;
            }
        });
    },
    mounted: function () {
        // this.$refs['trueInput'].focus();
    },
    computed: {
        confirmBtnDisabled: function () {
            if (this.trueInput.length === this.pwdLen.length) {
                return false;
            } else {
                return true;
            }
        }
    },
    methods: {
        // openJP: function () {
        //     var _this = this;
        //     setTimeout(function () {
        //         _this.$refs['trueInput'].focus();
        //     }, 1)
        // },
        resetInput: function () {
            this.state = 1;
            this.trueInput = '';
            this.pwdLen = ['', '', '', '', '', ''];
        },
        inputPwd: function (a) {
            if (!this.trueInput.match("^[0-9]*$")) {
                mui.toast('请输入数字');
                this.resetInput();
                return false;
            }
            for (var i = 0; i < this.pwdLen.length; i++) {
                this.pwdLen[i] = this.trueInput[i] || ''
            }
            if (this.state === 1 && this.trueInput.length === this.pwdLen.length) {
                this.state = 2;
                this.trueInput2 = this.trueInput;
                this.trueInput = '';
                this.pwdLen = ['', '', '', '', '', ''];
            }
        },
        confirmBtn: function () {
            if (this.trueInput.length !== 6) {
                return;
            }
            if (this.trueInput2 !== this.trueInput) {
                // mui.toast('两次密码不一致，请重新输入!');
                ZH.topToast('两次密码不一致，请重新输入!',3000);
                this.resetInput();
                return;
            }
            this.setPwd();
        },
        setPwd: function () {
            var _this = this;
            gAjax.$http({
                url: '/charge-app-server/app/payPwd/pwd?oldpwd=&pwd=' + Encrypt(_this.trueInput),
                methods: 'put',
                success: function (res) {
		
                    _this.okToast = true;
                    setTimeout(function () {
                        mui.back();
                    }, 1000)
                }
            })
        }
    }
});
