/*!
* @fileoverview
*    根据产品需求，当应用切换到后台之后，1分钟以上刷新页面
*
* @Author Dehua.ke
* @Email kedh@hzzh.com
* @Date 2018/08/30
*
* Copyright 2018 中恒节能 Inc. All Rights Reserved.
*/
var ZH = ZH || {};
(function (MUI, WIN) {

    var pauseTimestamp;

    // 切到前台的时候
    document.addEventListener( "resume", function () {
        //切换到前台的时间戳
        var resumeTimestamp = Date.now();

        //如果应用已经切到后台1分钟以上了
        if(resumeTimestamp - pauseTimestamp > 60000){
        // if(resumeTimestamp - pauseTimestamp > 5000){
            //刷新当前页
            location.reload();
        }
        
    } );

    // 切到后台的时候
    document.addEventListener( "pause", function () {

        //得到当前时间戳
        pauseTimestamp = Date.now();
    } );
})(mui, window);
